## signing-party 2.4

=== debian/changelog ===
signing-party (2.4-1ubuntu1) yakkety; urgency=medium

  * SRU: backport the fix from 2.5-1 in zesty (LP: #1650146)
  * caff:
    + Fix regression (introduced in 2.4-1) skipping --recv-key when
      'keys-from-gnupg' isn't set.  (Closes: #837406)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Dec 2016 07:44:44 +0200

signing-party (2.4-1) unstable; urgency=medium

  * caff, gpg-key2latex, gpgsigs: Ignore "KEY_CONSIDERED" status output
    emitted by gpg 2.1.13 and later.
  * caff, gpgsigs: Allow input produced by gpgparticipants(1) using gpg
    2.1.13.  With this version, key IDs are not displayed by default and the
    "Key fingerprint = " prefix is omitted.
  * caff:
    + Fix GnuPG version number comparison.
    + With GnuPG 2.1.13 or later, use gpgconf(1) to determine the socket
      paths.  (It is not used on earlier gpg since earlier gpgconf do not
      support --homedir.)  This fixes compatibility with GnuPG 2.1.13.
      (Closes: #834984)
    + When ~/.caff/gnupghome/gpg.conf does not exist, instead of creating a
      temporary file (as it's done since signing-party 2.3), parse
      ~/.gnup/gpg.conf and pass the GnuPG options that are known to be safe
      (and useful) for caff to gpg(1) using command line options.  This soves
      the problem of lingering configuration files in case caff is killed.
    + Use full fingerprints internally to avoid collisions.  (However
      $CONFIG{'keyid'} and $CONFIG{'local-users'} are kept to 64-bits key IDs
      as per RFC 4880 full fingerprints are not available in key signatures,
      and thus not exposed by `gpg --with-colons --list-sigs`.)
    + Automatically import the $CONFIG{'also-encrypt-to'} from the normal
      GnuPGHOME when possible.
  * d/source.lintian-overrides: Add 'debian-watch-file-is-missing' as we're
    upstream.
  * d/control: Remove Franck Joncourt from the Uploaders list per request of
    the MIA team.  (Closes: #831321)

 -- Guilhem Moulin <guilhem@guilhem.org>  Mon, 22 Aug 2016 00:19:48 +0200

=== debian/control ===
Source: signing-party
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guilhem Moulin <guilhem@guilhem.org>
Uploaders: Simon Richter <sjr@debian.org>
Build-Depends: debhelper (>= 9), python, dh-python,
 autoconf, automake, autotools-dev,
 libmd-dev
Standards-Version: 3.9.8
Homepage: https://pgp-tools.alioth.debian.org/
Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/pgp-tools

Package: signing-party
Architecture: any
Depends:
 ${perl:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
 gnupg,
 libclass-methodmaker-perl,
 libgnupg-interface-perl,
 libmailtools-perl,
 libmime-tools-perl,
 libnet-idn-encode-perl,
 libterm-readkey-perl,
 libtext-template-perl,
 qprint
Recommends:
 default-mta | mail-transport-agent,
 dialog | whiptail,
 libgd-gd2-noxpm-perl | libgd-gd2-perl,
 libpaper-utils
Suggests:
 fonts-noto-cjk,
 fonts-noto-mono,
 imagemagick | graphicsmagick-imagemagick-compat,
 mutt,
 qrencode,
 texlive-font-utils,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-xetex,
 wipe
Provides: sig2dot, springgraph, keyanalyze
Description: Various OpenPGP related tools
 signing-party is a collection for all kinds of PGP/GnuPG related things,
 including tools for signing keys, keyring analysis, and party preparation.
 .
  * caff: CA - Fire and Forget signs and mails a key
  * pgp-clean: removes all non-self signatures from key
  * pgp-fixkey: removes broken packets from keys
  * gpg-mailkeys: simply mail out a signed key to its owner
  * gpg-key2ps: generate PostScript file with fingerprint paper slips
  * gpgdir: recursive directory encryption tool
  * gpglist: show who signed which of your UIDs
  * gpgsigs: annotates list of GnuPG keys with already done signatures
  * gpgparticipants: create list of party participants for the organiser
  * gpgwrap: a passphrase wrapper
  * keyanalyze: minimum signing distance (MSD) analysis on keyrings
  * keylookup: ncurses wrapper around gpg --search
  * sig2dot: converts a list of GnuPG signatures to a .dot file
  * springgraph: creates a graph from a .dot file
  * keyart: creates a random ASCII art of a PGP key file
  * gpg-key2latex: generate LaTeX file with fingerprint paper slips

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow,+pie
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2)

INSTALL             = install
INSTALL_PROGRAM     = $(INSTALL)
INSTALL_DATA        = $(INSTALL) -m 644

GPGDIR_DIR          = gpgdir
GPGDIR_PROG         = gpgdir

GPGWRAP_DIR         = gpgwrap
GPGWRAP_PROG        = bin/gpgwrap

DESTDIR             = $(CURDIR)/debian/signing-party
DESTDIR_BIN         = $(DESTDIR)/usr/bin
DESTDIR_DOC         = $(DESTDIR)/usr/share/doc/signing-party

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	dh_autotools-dev_updateconfig
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_autotools-dev_restoreconfig
	$(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(DESTDIR)
	dh_install
	dh_installman */*.1 */*/*.1
	$(INSTALL_DATA) caff/README \
			caff/README.gpg-agent \
			caff/README.many-keys \
			caff/README.v3-keys \
			caff/caffrc.sample \
			$(DESTDIR_DOC)/caff
	
	$(INSTALL_PROGRAM) $(GPGDIR_DIR)/$(GPGDIR_PROG) $(DESTDIR_BIN)		
	$(INSTALL_DATA) $(GPGDIR_DIR)/ChangeLog $(DESTDIR_DOC)/changelog.gpgdir
	
	$(INSTALL_PROGRAM) $(GPGWRAP_DIR)/$(GPGWRAP_PROG) $(DESTDIR_BIN)		
	$(INSTALL_DATA) $(GPGWRAP_DIR)/NEWS $(DESTDIR_DOC)/changelog.gpgwrap
	
	dh_lintian

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_python2
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## signing-party 2.5

=== debian/changelog ===
signing-party (2.5-1+deb9u1) stretch; urgency=medium

  * Backport security fix for CVE-2019-11627: unsafe shell call enabling shell
    injection via a User ID.  Use Perl's (core) module Encode.pm instead of
    shelling out to `iconv`. (Closes: #928256.)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 01 May 2019 12:55:42 +0200

signing-party (2.5-1) unstable; urgency=low

  * caff:
    + Show how to set $ENV{'PERL_MAILERS'} to specify a sendmail binary (or
      use a sendmail-compatible MTA such as msmtp(1)).  Credits to Ryan
      Kavanagh's blog post.
    + Fix regression (introduced in 2.4-1) skipping --recv-key when
      'keys-from-gnupg' isn't set.  (Closes: #837406)
    + List all UIDs contained in an email when asking whether to send it.
  * gpg-key2latex: Add an option '--qrcode-data' to specify the data to encode
    in a QR code (default: "OPENPGP4FPR:%f").
  * gpg-key2ps:
    + Fix revoked UID stroke slant with "-r strike".  Thanks to Grégoire
      Détrez for the patch.
    + Ensure subkeys are hiden unless '--show-subkeys' is set.  (As of GnuPG
      2.1.15-3, `gpg --with-colons --list-keys` lists subkeys by defaults.)
      Thanks to Grégoire Détrez for the patch.

 -- Guilhem Moulin <guilhem@guilhem.org>  Thu, 06 Oct 2016 14:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: signing-party
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guilhem Moulin <guilhem@guilhem.org>
+Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Simon Richter <sjr@debian.org>
 Build-Depends: debhelper (>= 9), python, dh-python,
  autoconf, automake, autotools-dev,

## signing-party 2.6

=== debian/changelog ===
signing-party (2.6-1) unstable; urgency=low

  * gpgsigs:
    + Skip undefined UIDs.
    + Properly handle (skip) unknown attributes.
    + Allow digest hexadecimal characters to replace multiple '_' in the
      fill-in forms.  (This is not what gpgparticipants(1) produces, but some
      KSP organizers use other scripts.)
  * gpglist: New option '--signer' to limit listed signers to the matching
    keys.
  * Makefile, debian/rules: Avoid parsing dpkg-parsechangelog(1) output.
  * debian/control: Bump Standards-Version to 4.0.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 07 Jul 2017 17:05:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9), python, dh-python,
  autoconf, automake, autotools-dev,
  libmd-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://pgp-tools.alioth.debian.org/
 Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/pgp-tools

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow,+pie
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
-
-VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2)
 
 INSTALL             = install
 INSTALL_PROGRAM     = $(INSTALL)

## signing-party 2.7

=== Makefile ===
-include /usr/share/dpkg/pkg-info.mk

DIRS=caff gpg-key2ps gpg-mailkeys gpgsigs gpglist gpgparticipants keyanalyze keylookup \
     sig2dot springgraph gpgwrap gpgdir keyart gpg-key2latex
TGZ=../signing-party_$(DEB_VERSION_UPSREAM).orig.tar.gz
TGZ_DIR=signing-party-$(DEB_VERSION_UPSREAM)

all:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir || exit 1 ; fi ; done

install:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir install || exit 1 ; fi ; done

clean:
	for dir in $(DIRS) ; do if [ -f $$dir/Makefile ] ; then $(MAKE) -C $$dir clean || exit 1 ; fi ; done

dist:
	[ -d debian ] && fakeroot debian/rules clean
	[ ! -f $(TGZ) ]
	mkdir $(TGZ_DIR)
	for dir in $(DIRS) ; do cp -a $$dir $(TGZ_DIR); done
	cp -a README Makefile $(TGZ_DIR)
	GZIP=--best tar cvz -f $(TGZ) --exclude .svn $(TGZ_DIR)
	rm -rf $(TGZ_DIR)

tag-release:
	if svn ls svn+ssh://svn.debian.org/svn/pgp-tools/tags/release-$(DEB_VERSION_UPSREAM) >/dev/null 2>&1; then \
		echo "Already exists." >&2; exit 1; \
	fi
	svn cp -m 'tagging release $(DEB_VERSION_UPSREAM)' svn+ssh://svn.debian.org/svn/pgp-tools/trunk svn+ssh://svn.debian.org/svn/pgp-tools/tags/release-$(DEB_VERSION_UPSREAM)

tag-debian-version:
	if svn ls svn+ssh://svn.debian.org/svn/pgp-tools/tags/debian-version-$(DEB_VERSION) >/dev/null 2>&1; then \
		echo "Already exists." >&2; exit 1; \
	fi
	svn cp -m 'tagging debian version $(DEB_VERSION)' svn+ssh://svn.debian.org/svn/pgp-tools/trunk svn+ssh://svn.debian.org/svn/pgp-tools/tags/debian-version-$(DEB_VERSION)

=== debian/changelog ===
signing-party (2.7-2) unstable; urgency=low

  * debian/control:
    + Migrate Vcs-Browser and Vcs-Git from Alioth to Salsa.  (Closes: #898200)
    + Bump Standards-Version to 4.1.4 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 09 May 2018 13:05:37 +0200

signing-party (2.7-1) unstable; urgency=low

  * gpg-key2ps:
    + Add support for ECDH, ECDSA and EDDSA key types.
    + Align key type & size listing to the GnuPG 2.1.x output (e.g.,
      "rsa4096/DEADBEEF" instead of "4096R/DEADBEEF").
  * gpgsigs:
    + Set UAT (jpeg photos) density to 90dpi so XeLaTeX doesn't complain that
      the image is too large.
  * debian/control: Bump Standards-Version to 4.1.3
    + Replace "extra" priority to "optional"
  * debian/rules: Remove deprecated dh_autotools-dev_updateconfig and
    dh_autotools-dev_restoreconfig.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 29 Jan 2018 11:46:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: signing-party
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Simon Richter <sjr@debian.org>
 Build-Depends: debhelper (>= 9), python, dh-python,
  autoconf, automake, autotools-dev,
  libmd-dev
-Standards-Version: 4.0.0
-Homepage: https://pgp-tools.alioth.debian.org/
-Vcs-Svn: svn://anonscm.debian.org/pgp-tools/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/pgp-tools
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/signing-party.git
+Vcs-Browser: https://salsa.debian.org/debian/signing-party
 
 Package: signing-party
 Architecture: any

## signing-party 2.9

=== debian/changelog ===
signing-party (2.9-1) unstable; urgency=medium

  * gpglist:
    + When --signer's argument is a long keyid or fingerprint, don't require
      the key to be present in the keyring.  This enable filtering on unknown
      signing keys.
    + Don't choke on direct-key signatures. (Closes: #921331.)
  * gpgparticipants:
    + Improve quoting and replace `echo` with `printf`.
    + Avoid including subkey fingerprints when gpg.conf contains 'fingerprint'.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 01 Mar 2019 15:39:40 +0100

signing-party (2.8-1) unstable; urgency=low

  [ Guilhem Moulin ]
  * keyart, gpgparticipants-prefill: port to python3.
  * keyart:
    + Don't print ASCII art for subkeys, only the master key.
    + Pass --no-auto-check-trustdb flag to gpg(1).
    + Fix crash with non-ASCII UIDs.  Patch from Grégoire Detrez.
  * Fix a couple of spelling errors.  Thanks to Edward Betts for the report
    and patch. (Closes: #882729)
  * caff:
    + Add the "only-sign-text-ids" to the list of gpg(1) options imported from
      ~/.gnupg/gpg.conf.
    + Ensure the terminal is "sane enough" when asking questions ('echo',
      'echok', 'icanon', 'icrnl' settings are all set), and restore original
      settings when exit()'ing the program. (Closes: #872529)
  * caff, gpglist, gpgsigs: in `gpg --with-colons` output, allow signature
    class to be followed with an optional revocation reason. gpg(1) does that
    since 2.2.9. (Closes: #905097.)
  * caff, gpg-key2latex, gpg-key2ps, gpglist, gpgsigs, keylookup: Remove
    references to https://pgp-tools.alioth.debian.org/ .
  * caff, gpg-key2latex, gpg-key2ps, gpg-mailkeys, gpglist, gpgparticipants,
    gpgsigs, keylookup: Remove SVN keywords ($Id$, $Rev$, etc.)
  * debian/control:
    + Migrate Vcs-Browser and Vcs-Git to
      https://salsa.debian.org/signing-party-team/signing-party .
    + Bump Standards-Version to 4.3.0 (no changes necessary).
  * sig2dot: Don't use the diamond operator.

  [ Edward Betts]
  * debian/control: add neomutt as an alternative to mutt

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 28 Jan 2019 03:05:33 +0100

## signing-party 2.10

=== debian/changelog ===
signing-party (2.10-2ubuntu1) focal; urgency=medium

  * Build using python3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Apr 2020 12:40:58 +0200

signing-party (2.10-2) unstable; urgency=high

  * gpg-key2ps: Security fix for CVE-2019-11627: unsafe shell call enabling
    shell injection via a User ID.  Use Perl's (core) module Encode.pm instead
    of shelling out to `iconv`. (Closes: #928256.)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 May 2019 15:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Simon Richter <sjr@debian.org>
-Build-Depends: debhelper (>= 9), python, dh-python,
+Build-Depends: debhelper (>= 9), python3, dh-python,
  autoconf, automake, autotools-dev,
  libmd-dev
-Standards-Version: 4.1.4
-Vcs-Git: https://salsa.debian.org/debian/signing-party.git
-Vcs-Browser: https://salsa.debian.org/debian/signing-party
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/signing-party-team/signing-party.git
+Vcs-Browser: https://salsa.debian.org/signing-party-team/signing-party
 
 Package: signing-party
 Architecture: any
 Depends:
  ${perl:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
  gnupg,
@@ -35,7 +35,7 @@
  fonts-noto-cjk,
  fonts-noto-mono,
  imagemagick | graphicsmagick-imagemagick-compat,
- mutt,
+ mutt | neomutt,
  qrencode,
  texlive-font-utils,
  texlive-latex-extra,

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,13 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
 	$(MAKE)
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	dh_autotools-dev_restoreconfig
 	$(MAKE) clean
 	rm -f build-stamp configure-stamp
 	dh_clean
@@ -78,7 +77,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_python2
+	dh_python3
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## signing-party 2.11

=== debian/changelog ===
signing-party (2.11-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/control, d/install: Apply wrap-and-sort(1).
  * d/control: Remove useless Build-Depends: python.
  * d/control, d/rules: Replace dh_python2 with dh_python3.  This has AFAICT
    no impact on the binary packages which have been ported to python3 in
    2.8-1. (Closes: #938480.)
  * Set Rules-Requires-Root: no.
  * Trim trailing whitespace.
  * Move source package lintian overrides to debian/source.
  * Rename debian/NEWS.Debian to debian/NEWS.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from 9 to 13.  Remove now useless Build-Depends:
    autotools-dev.
  * Set debhelper-compat version in Build-Depends.
  * Use the dh sequencer in debian/rules.

  [ Max Harmathy ]
  * New script gpgparticipants-filter.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 08 Jul 2020 18:43:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,46 +3,47 @@
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Simon Richter <sjr@debian.org>
-Build-Depends: debhelper (>= 9), python3, dh-python,
- autoconf, automake, autotools-dev,
- libmd-dev
-Standards-Version: 4.3.0
+Build-Depends: autoconf,
+               automake,
+               debhelper-compat (= 13),
+               dh-python,
+               libmd-dev,
+               python3
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/signing-party-team/signing-party.git
 Vcs-Browser: https://salsa.debian.org/signing-party-team/signing-party
+Rules-Requires-Root: no
 
 Package: signing-party
 Architecture: any
-Depends:
- ${perl:Depends},
- ${python3:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
- gnupg,
- libclass-methodmaker-perl,
- libgnupg-interface-perl,
- libmailtools-perl,
- libmime-tools-perl,
- libnet-idn-encode-perl,
- libterm-readkey-perl,
- libtext-template-perl,
- qprint
-Recommends:
- default-mta | mail-transport-agent,
- dialog | whiptail,
- libgd-gd2-noxpm-perl | libgd-gd2-perl,
- libpaper-utils
-Suggests:
- fonts-noto-cjk,
- fonts-noto-mono,
- imagemagick | graphicsmagick-imagemagick-compat,
- mutt | neomutt,
- qrencode,
- texlive-font-utils,
- texlive-latex-extra,
- texlive-latex-recommended,
- texlive-xetex,
- wipe
-Provides: sig2dot, springgraph, keyanalyze
+Depends: gnupg,
+         libclass-methodmaker-perl,
+         libgnupg-interface-perl,
+         libmailtools-perl,
+         libmime-tools-perl,
+         libnet-idn-encode-perl,
+         libterm-readkey-perl,
+         libtext-template-perl,
+         qprint,
+         ${misc:Depends},
+         ${perl:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Recommends: default-mta | mail-transport-agent,
+            dialog | whiptail,
+            libgd-gd2-noxpm-perl | libgd-gd2-perl,
+            libpaper-utils
+Suggests: fonts-noto-cjk,
+          fonts-noto-mono,
+          imagemagick | graphicsmagick-imagemagick-compat,
+          mutt | neomutt,
+          qrencode,
+          texlive-font-utils,
+          texlive-latex-extra,
+          texlive-latex-recommended,
+          texlive-xetex,
+          wipe
+Provides: keyanalyze, sig2dot, springgraph
 Description: Various OpenPGP related tools
  signing-party is a collection for all kinds of PGP/GnuPG related things,
  including tools for signing keys, keyring analysis, and party preparation.

## signing-party 2.12

=== keyanalyze/Makefile ===
LDLIBS=-lpthread
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)

all: keyanalyze process_keys pgpring/pgpring

keyanalyze: keyanalyze.o
process_keys: process_keys.o

pgpring/configure: pgpring/configure.ac
	cd pgpring && autoreconf -f -i

pgpring/config.status: pgpring/configure
	cd pgpring && CFLAGS="${CFLAGS}" ./configure

pgpring/pgpring: pgpring/config.status
	$(MAKE) -C pgpring pgpring

install:
	install pgpring/pgpring $(DESTDIR)/usr/bin
	install keyanalyze $(DESTDIR)/usr/bin
	install process_keys $(DESTDIR)/usr/bin

clean:
	[ ! -f pgpring/Makefile ] || $(MAKE) -C pgpring distclean
	-rm -f *.o core *~ keyanalyze process_keys
	-rm -f test.pre preprocess.keys keyanalyze.out all.keys
	-rm -rf output

=== debian/changelog ===
signing-party (2.12-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/rules: Replace DEB_BUILD_MAINT_OPTIONS:=hardening=+bindnow,+pie with
    hardening=+all.
  * d/rules: Use execute_after_dh_* from Debhelper compatibility level 13 when
    relevant.
  * Update Standards-Version to 4.7.2 (no changes necessary).
  * caff: Relax regex to parse comments at the end of UIDs.
  * keyart: Regression fix when --fingerprint is used (closes: #979122).

  [ Uwe Kleine-König ]
  * caff: Parse UIDs with a comment after the email address.
  * Replace pool.sks-keyservers.net with keyserver.ubuntu.com (closes:
    #1002880).
  * gpgsigs: Properly handle prefilled checksums (closes: #900444).

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 May 2025 17:51:50 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-python,
                libmd-dev,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/signing-party-team/signing-party.git
 Vcs-Browser: https://salsa.debian.org/signing-party-team/signing-party
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

NAME = signing-party
datarootdir = $(CURDIR)/debian/$(NAME)/usr/share
docdir = $(datarootdir)/doc/$(NAME)

%:
	dh $@ --with python3

execute_after_dh_installdocs:
	install -Dt $(docdir)/caff caff/README caff/README.* caff/caffrc.sample
	install -T gpgdir/ChangeLog $(docdir)/changelog.gpgdir
	install -T gpgwrap/NEWS $(docdir)/changelog.gpgwrap
